# Namespace: internal

## Enumerations

- [UserRoles](../enums/internal-1.UserRoles.md)

## Classes

- [AdminPostAuthReq](../classes/internal-1.AdminPostAuthReq.md)
- [User](../classes/internal-1.User.md)

## Type Aliases

### AdminAuthRes

Ƭ **AdminAuthRes**: `Object`

#### Type declaration

| Name | Type |
| :------ | :------ |
| `user` | `Omit`<[`User`](../classes/internal-1.User.md), ``"password_hash"``\> |

#### Defined in

medusa/dist/api/routes/admin/auth/index.d.ts:4
